Class | Nokogiri::XML::Node::SaveOptions
In: | lib/nokogiri/xml/node/save_options.rb
Parent: | Object

Save options for serializing nodes

### Methods

new

### Constants

FORMAT | = | 1 |  | Format serialized xml
NO_DECLARATION | = | 2 |  | Do not include delcarations
NO_EMPTY_TAGS | = | 4 |  | Do not include empty tags
NO_XHTML | = | 8 |  | Do not save XHTML
AS_XHTML | = | 16 |  | Save as XHTML
AS_XML | = | 32 |  | Save as XML
AS_HTML | = | 64 |  | Save as HTML

### Attributes

options | [R] | Integer representation of the SaveOptions

### Public Class methods

new(options = 0;)

Create a new SaveOptions object with `options`

[Validate]